import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Link } from './components/link';
export var LinkComponent = Intact.decorate(Link, 'k-link');
var components = [LinkComponent];
var LinkModule = /** @class */ (function () {
    function LinkModule() {
    }
    LinkModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], LinkModule);
    return LinkModule;
}());
export { LinkModule };